
// this is the FOG VOLUME shader

textures/faceoff/faceoff_fog
{

        qer_editorimage textures/madworld/fogvolume.jpg
        qer_nocarve
        qer_trans 0.4
        surfaceparm nolightmap
        surfaceparm nonsolid
        surfaceparm trans
        surfaceparm fog
        q3map_lightsubdivide 512 
		q3map_sun	0.99 0.91 0.80 60 190 75
		q3map_surfacelight 50
        fogvars ( 0.75 0.75 0.75 ) 2600
}




// this is the FOGHULL "sphere" shader


textures/faceoff/foghull 

{
	surfaceparm nolightmap
        surfaceparm nonsolid
        surfaceparm trans
        surfaceparm sky
        
        skyparms textures/cp_foghull/be3fog 0 - 
}


textures/faceoff/Plainsky_fo
{
	qer_editorimage textures/madworld/fogvolume.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight 
	q3map_globaltexture
	q3map_lightsubdivide 1024 
	q3map_sun	0.75 0.74 0.72 50 10 70
	q3map_surfacelight 100
	fogvars ( .745 .745 .750 ) 2700
	
		
	skyparms textures/cp_foghull/be3fog - -
	
	
}


textures/faceoff/climbing_pole
{
 	qer_editorimage textures/crimson_alpha/climb.tga 
	q3map_patchshadows
    	surfaceparm metalsteps
   	surfaceparm ladder

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/metal_misc/ametal_m05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}






textures/faceoff/terrain_0
{	
	
	surfaceparm gravelsteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

	q3map_lightimage textures/cp_terrain/cp_dirt1.tga 
	

	{
		map textures/cp_terrain/cp_dirt1.tga
		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		
	}
}

textures/faceoff/terrain_1
{
	surfaceparm grasssteps 
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_lightimage textures/cp_terrain/cp_grass1.tga 
	
	{
		map textures/cp_terrain/cp_grass1.tga
		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		
	}
}

textures/faceoff/terrain_2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

	q3map_lightimage textures/cp_terrain/cp_greenrock.tga 
	{
		map textures/cp_terrain/cp_greenrock.tga
		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		
	}
}

textures/faceoff/terrain_3
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

	q3map_lightimage textures/cp_terrain/cp_greyrock.tga 

	{
		map textures/cp_terrain/cp_greyrock.tga
		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		
	}
}

textures/faceoff/terrain_0to1
{	
	surfaceparm grasssteps 
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

	q3map_lightimage textures/cp_terrain/cp_dirt1.tga 

	
	
	{
		map textures/cp_terrain/cp_dirt1.tga
		rgbGen vertex
	}
	{
		map textures/cp_terrain/cp_grass1.tga
		alphaGen vertex 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
		

	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		
	}
}

textures/faceoff/terrain_0to2
{	
	surfaceparm gravelsteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

	q3map_lightimage textures/cp_terrain/cp_dirt1.tga 

	
	{
		map textures/cp_terrain/cp_dirt1.tga
		rgbGen vertex
	}
	{
		map textures/cp_terrain/cp_greenrock.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		
	}
}

textures/faceoff/terrain_0to3
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

	q3map_lightimage textures/cp_terrain/cp_dirt1.tga 

	
	{
		map textures/cp_terrain/cp_dirt1.tga
		rgbGen vertex
	}
	{
		map textures/cp_terrain/cp_greyrock.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		
	}
}

textures/faceoff/terrain_1to2
{	
	surfaceparm grasssteps 
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

	q3map_lightimage textures/cp_terrain/cp_grass1.tga 

	
	{
		map textures/cp_terrain/cp_grass1.tga
		rgbGen vertex
	}
	{
		map textures/cp_terrain/cp_greenrock.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		
	}
}

textures/faceoff/terrain_1to3
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )

	q3map_lightimage textures/cp_terrain/cp_grass1.tga 

	
	{
		map textures/cp_terrain/cp_grass1.tga
		rgbGen vertex
	}
	{
		map textures/cp_terrain/cp_greyrock.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		
	}
}

textures/faceoff/terrain_2to3
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_lightimage textures/cp_terrain/cp_greenrock.tga 
	
	{
		map textures/cp_terrain/cp_greenrock.tga
		rgbGen vertex
	}
	{
		map textures/cp_terrain/cp_greyrock.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		
	}
}

textures/faceoff/terrain.vertex
	
	
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/cp_terrain/cp_dirt1.tga
		rgbGen vertex
	}
}



